package com.chelvc.framework.database.context;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import com.chelvc.framework.database.entity.Entity;
import lombok.NonNull;

/**
 * 实体删除事件
 *
 * @author Woody
 * @date 2024/6/30
 */
public class EntityDeletedEvent extends EntityEvent {
    public EntityDeletedEvent(@NonNull Entity<?>... entities) {
        this(Arrays.asList(entities));
    }

    public EntityDeletedEvent(@NonNull List<Entity<?>> entities) {
        super(Collections.unmodifiableList(entities));
    }

    /**
     * 获取已删除实体
     *
     * @return 实体对象实例列表
     */
    @SuppressWarnings("unchecked")
    public List<Entity<?>> getEntities() {
        return (List<Entity<?>>) this.source;
    }
}
