package com.chelvc.framework.database.sql;

import java.sql.SQLException;
import java.sql.SQLType;

import lombok.Getter;

/**
 * 字符串数据写入接收器
 *
 * @author Woody
 * @date 2024/6/11
 */
@Getter
public class WriteStringAcceptor implements MinimumPreparedStatement {
    private String value;

    @Override
    public void setObject(int parameterIndex, Object x) throws SQLException {
        if (x instanceof String) {
            this.setString(parameterIndex, (String) x);
        }
    }

    @Override
    public void setObject(int parameterIndex, Object x, int targetSqlType) throws SQLException {
        if (x instanceof String) {
            this.setString(parameterIndex, (String) x);
        }
    }

    @Override
    public void setObject(int parameterIndex, Object x, int targetSqlType, int scaleOrLength) throws SQLException {
        if (x instanceof String) {
            this.setString(parameterIndex, (String) x);
        }
    }

    @Override
    public void setObject(int parameterIndex, Object x, SQLType targetSqlType) throws SQLException {
        if (x instanceof String) {
            this.setString(parameterIndex, (String) x);
        }
    }

    @Override
    public void setObject(int parameterIndex, Object x, SQLType targetSqlType, int scaleOrLength) throws SQLException {
        if (x instanceof String) {
            this.setString(parameterIndex, (String) x);
        }
    }

    @Override
    public void setString(int parameterIndex, String x) throws SQLException {
        this.value = x;
    }
}
