package com.chelvc.framework.download;

import java.io.Serializable;

import com.chelvc.framework.common.model.Enumerable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据下载对象模型
 *
 * @author Woody
 * @date 2024/5/11
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Download implements Serializable {
    /**
     * 数据处理状态
     */
    private Status status;

    /**
     * 下载文件名称
     */
    private String filename;

    /**
     * 数据处理状态枚举
     */
    @Getter
    public enum Status implements Enumerable {
        /**
         * 运行中
         */
        RUNNING("运行中"),

        /**
         * 已失败
         */
        FAILED("已失败"),

        /**
         * 已完成
         */
        COMPLETED("已完成");

        /**
         * 状态描述
         */
        private final String description;

        Status(String description) {
            this.description = description;
        }
    }
}
