package com.chelvc.framework.group.config;

import com.chelvc.framework.group.GroupClient;
import com.chelvc.framework.group.GroupStore;
import com.chelvc.framework.group.RedisGroupStore;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 分组配置
 *
 * @author Woody
 * @date 2024/12/5
 */
@Configuration
public class GroupConfigurer {
    @Bean
    @ConditionalOnMissingBean(GroupStore.class)
    public GroupStore groupStore(GroupClient client) {
        return new RedisGroupStore(client);
    }
}
