package com.chelvc.framework.rocketmq.config;

import java.util.Collections;
import java.util.List;

import com.chelvc.framework.rocketmq.fallback.RocketMQFallbackPolicy;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * RokcetMQ配置属性
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("rocketmq")
public class RocketMQProperties {
    /**
     * 应用标识
     */
    private String appid;

    /**
     * 应用密钥
     */
    private String secret;

    /**
     * 服务端点
     */
    private String endpoints;

    /**
     * 命名空间
     */
    private String namespace;

    /**
     * 降级策略列表
     */
    private List<RocketMQFallbackPolicy> fallbacks = Collections.emptyList();
}
