package com.chelvc.framework.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.chelvc.framework.security.context.SecurityContextHolder;

/**
 * 自定义权限校验注解
 *
 * @author Woody
 * @date 2024/5/19
 */
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Permission {
    /**
     * 获取权限标识
     *
     * @return 权限标识
     */
    String value();

    /**
     * 获取权限分组
     *
     * @return 权限分组
     */
    String group() default SecurityContextHolder.DEFAULT_PERMISSION_GROUP;
}
